<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpDrawablePreview: GIMP Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Library Reference Manual">
<link rel="up" href="libgimpui.html" title="Part II. GIMP User Interface Library">
<link rel="prev" href="libgimp-gimpexport.html" title="gimpexport">
<link rel="next" href="GimpAspectPreview.html" title="GimpAspectPreview">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpDrawablePreview.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpDrawablePreview.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpDrawablePreview.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_properties">  <span class="dim">|</span> 
                  <a href="#GimpDrawablePreview.properties" class="shortcut">Properties</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpui.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="libgimp-gimpexport.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpAspectPreview.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpDrawablePreview"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpDrawablePreview.top_of_page"></a>GimpDrawablePreview</span></h2>
<p>GimpDrawablePreview — A widget providing a preview of a <a class="link" href="libgimp-gimpdrawable.html#GimpDrawable" title="GimpDrawable"><span class="type">GimpDrawable</span></a>.</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpDrawablePreview.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpDrawablePreview.html#gimp-drawable-preview-new" title="gimp_drawable_preview_new ()">gimp_drawable_preview_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpDrawablePreview.html#gimp-drawable-preview-new-from-drawable-id" title="gimp_drawable_preview_new_from_drawable_id ()">gimp_drawable_preview_new_from_drawable_id</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a class="link" href="libgimp-gimpdrawable.html#GimpDrawable" title="GimpDrawable"><span class="returnvalue">GimpDrawable</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpDrawablePreview.html#gimp-drawable-preview-get-drawable" title="gimp_drawable_preview_get_drawable ()">gimp_drawable_preview_get_drawable</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../glib/glib-Basic-Types.html#gint32"><span class="returnvalue">gint32</span></a>
</td>
<td class="function_name">
<a class="link" href="GimpDrawablePreview.html#gimp-drawable-preview-get-drawable-id" title="gimp_drawable_preview_get_drawable_id ()">gimp_drawable_preview_get_drawable_id</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpDrawablePreview.html#gimp-drawable-preview-draw-region" title="gimp_drawable_preview_draw_region ()">gimp_drawable_preview_draw_region</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpDrawablePreview.properties"></a><h2>Properties</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type"><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a></td>
<td class="property_name"><a class="link" href="GimpDrawablePreview.html#GimpDrawablePreview--drawable" title="The “drawable” property">drawable</a></td>
<td class="property_flags">Read / Write / Construct Only</td>
</tr>
<tr>
<td class="property_type"><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="GimpDrawablePreview.html#GimpDrawablePreview--drawable-id" title="The “drawable-id” property">drawable-id</a></td>
<td class="property_flags">Read / Write / Construct Only</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpDrawablePreview.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpDrawablePreview.html#GimpDrawablePreview-struct" title="GimpDrawablePreview">GimpDrawablePreview</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpDrawablePreview.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkBox.html#GtkBox-struct">GtkBox</a>
                        <span class="lineart">╰──</span> <a href="../html/GimpPreview.html#GimpPreview-struct">GimpPreview</a>
                            <span class="lineart">╰──</span> <a href="../html/GimpScrolledPreview.html#GimpScrolledPreview-struct">GimpScrolledPreview</a>
                                <span class="lineart">╰──</span> GimpDrawablePreview
</pre>
</div>
<div class="refsect1">
<a name="GimpDrawablePreview.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpDrawablePreview implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a> and  <a href="../gtk2/gtk2-Orientable.html#GtkOrientable-struct">GtkOrientable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpDrawablePreview.description"></a><h2>Description</h2>
<p>A widget providing a preview of a <a class="link" href="libgimp-gimpdrawable.html#GimpDrawable" title="GimpDrawable"><span class="type">GimpDrawable</span></a>.</p>
</div>
<div class="refsect1">
<a name="GimpDrawablePreview.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-drawable-preview-new"></a><h3>gimp_drawable_preview_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_drawable_preview_new (<em class="parameter"><code><a class="link" href="libgimp-gimpdrawable.html#GimpDrawable" title="GimpDrawable"><span class="type">GimpDrawable</span></a> *drawable</code></em>,
                           <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> *toggle</code></em>);</pre>
<div class="warning">
<p><code class="literal">gimp_drawable_preview_new</code> is deprecated and should not be used in newly-written code.</p>
<p>Use <a class="link" href="GimpDrawablePreview.html#gimp-drawable-preview-new-from-drawable-id" title="gimp_drawable_preview_new_from_drawable_id ()"><code class="function">gimp_drawable_preview_new_from_drawable_id()</code></a> instead.</p>
</div>
<p>Creates a new <a class="link" href="GimpDrawablePreview.html" title="GimpDrawablePreview"><span class="type">GimpDrawablePreview</span></a> widget for <em class="parameter"><code>drawable</code></em>
.</p>
<p>In GIMP 2.2 the <em class="parameter"><code>toggle</code></em>
 parameter was provided to conviently access
the state of the "Preview" check-button. This is not any longer
necessary as the preview itself now stores this state, as well as
the scroll offset.</p>
<div class="refsect3">
<a name="gimp-drawable-preview-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>drawable</p></td>
<td class="parameter_description"><p>a <a class="link" href="libgimp-gimpdrawable.html#GimpDrawable" title="GimpDrawable"><span class="type">GimpDrawable</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>toggle</p></td>
<td class="parameter_description"><p>unused</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-drawable-preview-new.returns"></a><h4>Returns</h4>
<p> A pointer to the new <a class="link" href="GimpDrawablePreview.html" title="GimpDrawablePreview"><span class="type">GimpDrawablePreview</span></a> widget.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-2.html#api-index-2.2">2.2</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-drawable-preview-new-from-drawable-id"></a><h3>gimp_drawable_preview_new_from_drawable_id ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_drawable_preview_new_from_drawable_id
                               (<em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint32"><span class="type">gint32</span></a> drawable_ID</code></em>);</pre>
<p>Creates a new <a class="link" href="GimpDrawablePreview.html" title="GimpDrawablePreview"><span class="type">GimpDrawablePreview</span></a> widget for <em class="parameter"><code>drawable_ID</code></em>
.</p>
<div class="refsect3">
<a name="gimp-drawable-preview-new-from-drawable-id.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>drawable_ID</p></td>
<td class="parameter_description"><p>a drawable ID</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-drawable-preview-new-from-drawable-id.returns"></a><h4>Returns</h4>
<p> A pointer to the new <a class="link" href="GimpDrawablePreview.html" title="GimpDrawablePreview"><span class="type">GimpDrawablePreview</span></a> widget.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-10.html#api-index-2.10">2.10</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-drawable-preview-get-drawable"></a><h3>gimp_drawable_preview_get_drawable ()</h3>
<pre class="programlisting"><a class="link" href="libgimp-gimpdrawable.html#GimpDrawable" title="GimpDrawable"><span class="returnvalue">GimpDrawable</span></a> *
gimp_drawable_preview_get_drawable (<em class="parameter"><code><a class="link" href="GimpDrawablePreview.html" title="GimpDrawablePreview"><span class="type">GimpDrawablePreview</span></a> *preview</code></em>);</pre>
<div class="warning">
<p><code class="literal">gimp_drawable_preview_get_drawable</code> is deprecated and should not be used in newly-written code.</p>
<p>use <a class="link" href="GimpDrawablePreview.html#gimp-drawable-preview-get-drawable-id" title="gimp_drawable_preview_get_drawable_id ()"><code class="function">gimp_drawable_preview_get_drawable_id()</code></a> instead.</p>
</div>
<div class="refsect3">
<a name="gimp-drawable-preview-get-drawable.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>preview</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpDrawablePreview.html" title="GimpDrawablePreview"><span class="type">GimpDrawablePreview</span></a> widget</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-drawable-preview-get-drawable.returns"></a><h4>Returns</h4>
<p> the <a class="link" href="libgimp-gimpdrawable.html#GimpDrawable" title="GimpDrawable"><span class="type">GimpDrawable</span></a> that has been passed to
<a class="link" href="GimpDrawablePreview.html#gimp-drawable-preview-new" title="gimp_drawable_preview_new ()"><code class="function">gimp_drawable_preview_new()</code></a>.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-2.html#api-index-2.2">2.2</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-drawable-preview-get-drawable-id"></a><h3>gimp_drawable_preview_get_drawable_id ()</h3>
<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gint32"><span class="returnvalue">gint32</span></a>
gimp_drawable_preview_get_drawable_id (<em class="parameter"><code><a class="link" href="GimpDrawablePreview.html" title="GimpDrawablePreview"><span class="type">GimpDrawablePreview</span></a> *preview</code></em>);</pre>
<div class="refsect3">
<a name="gimp-drawable-preview-get-drawable-id.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>preview</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpDrawablePreview.html" title="GimpDrawablePreview"><span class="type">GimpDrawablePreview</span></a> widget</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-drawable-preview-get-drawable-id.returns"></a><h4>Returns</h4>
<p> the drawable_ID that has been passed to
<a class="link" href="GimpDrawablePreview.html#gimp-drawable-preview-new-from-drawable-id" title="gimp_drawable_preview_new_from_drawable_id ()"><code class="function">gimp_drawable_preview_new_from_drawable_id()</code></a>.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-10.html#api-index-2.10">2.10</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-drawable-preview-draw-region"></a><h3>gimp_drawable_preview_draw_region ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_drawable_preview_draw_region (<em class="parameter"><code><a class="link" href="GimpDrawablePreview.html" title="GimpDrawablePreview"><span class="type">GimpDrawablePreview</span></a> *preview</code></em>,
                                   <em class="parameter"><code>const <a class="link" href="libgimp-gimppixelrgn.html#GimpPixelRgn" title="GimpPixelRgn"><span class="type">GimpPixelRgn</span></a> *region</code></em>);</pre>
<div class="refsect3">
<a name="gimp-drawable-preview-draw-region.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>preview</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpDrawablePreview.html" title="GimpDrawablePreview"><span class="type">GimpDrawablePreview</span></a> widget</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>region</p></td>
<td class="parameter_description"><p>a <a class="link" href="libgimp-gimppixelrgn.html#GimpPixelRgn" title="GimpPixelRgn"><span class="type">GimpPixelRgn</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-2.html#api-index-2.2">2.2</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpDrawablePreview.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpDrawablePreview-struct"></a><h3>GimpDrawablePreview</h3>
<pre class="programlisting">typedef struct _GimpDrawablePreview GimpDrawablePreview;</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpDrawablePreview.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="GimpDrawablePreview--drawable"></a><h3>The <code class="literal">“drawable”</code> property</h3>
<pre class="programlisting">  “drawable”                 <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a></pre>
<p>Deprecated: use the drawable-id property instead.</p>
<div class="warning">
<p><code class="literal">GimpDrawablePreview:drawable</code> is deprecated and should not be used in newly-written code.</p>
<p>use the drawable-id property instead.</p>
</div>
<p>Flags: Read / Write / Construct Only</p>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="GimpDrawablePreview--drawable-id"></a><h3>The <code class="literal">“drawable-id”</code> property</h3>
<pre class="programlisting">  “drawable-id”              <a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>The drawable the <a class="link" href="GimpDrawablePreview.html" title="GimpDrawablePreview"><span class="type">GimpDrawablePreview</span></a> is attached to.</p>
<p>Flags: Read / Write / Construct Only</p>
<p>Allowed values: &gt;= -1</p>
<p>Default value: -1</p>
<p class="since">Since: <a class="link" href="api-index-2-10.html#api-index-2.10">2.10</a></p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>